// CLASE CDPMI 
// 
// * Llamadas al DPMI. Es imprescindible llamar al DPMI, cuando trabajamos
//   en modo protegido y llamamos a funciones escritas en modo real.
// * Aade las que consideres adecuadas ;)
// 
//  boolean  ReservaMemReal (int   Cantidad,word &Segmento,word &Selector);
//  boolean  LiberaMemReal  (word &Selector);
//  boolean  ReservaSelector(word &Selector);
//  word     HazSel         (dword Base);
//  boolean  LiberaSelector (word  Selector);
//  dword    Fisica2Lineal  (dword Fisica, dword Limite);
//
// * Watcom C/C++ v.11
//
// (c) Pedro Dez Lpez 

#ifndef _INTERFACE_DPMI_
#define _INTERFACE_DPMI_
#include "base.h"
#include "i86.h"
class CDPMI
{
private:
  SREGS sregs;
  REGS  inregs, outregs;

public:         
  boolean  ReservaMemReal  (int   Cantidad, word &Segmento, word &Selector);
  boolean  LiberaMemReal   (word &Selector);
  word     HazSel          (dword Base);
  boolean  LiberaSelector  (word  Selector);
  dword    Fisica2Lineal   (dword Fisica, dword Limite);
private:
  void     RegsCero        ();
  void     LimpiaMemoria   (void *Dir,dword Cantidad);
};
#endif